Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035068
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-01-27 10:142017-03-15 20:19
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision548b15b9c37e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035068: Valued Stock Report is showing warehouses that do not belong to the organization included in the filter

DescriptionValued Stock Report is showing warehouses that do not belong to the organization included in the filter
Steps To ReproduceAs group admin role:
   Create a new warehouse for F&B España - Región Norte
   Add a storage bin to it
   Create a Goods Receipt for that warehouse and complete it
   Launch the Costing Background Process and check it finishes successfully
   Launch the Valued Stock report for F&B España - Región Norte organization
   Leave the warehouse filter empty (we want to get the stock of all the warehouses in F&B España Region Norte)
   Check stock for F&B España Región Sur is shown and it should not
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0094003)
AtulOpenbravo (developer)
2017-02-02 08:07

Test Plan
- Login as Group admin role.
- Create a new warehouse for F&B España - Región Norte Org.
- Add a storage bin to it
- Create a Goods Receipt for that warehouse and complete it
- Launch the Costing Background Process and check it finishes successfully
- Launch the Valued Stock report for F&B España - Región Norte organization
- Leave the warehouse filter empty (we want to get the stock of all the warehouses in F&B España Region Norte)
- Check that report is shown for only F&B España Región Norte Org warehouses.
- Change filter Org to F&B España.
- Check that report is shown for Region Norte as well as Region Sur warehouses.
(0094274)
hgbot (developer)
2017-02-13 17:10

Repository: erp/devel/pi
Changeset: 810c654d312e2e95a69eaa26a40a9fcd5fca5440
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Feb 13 12:41:34 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/810c654d312e2e95a69eaa26a40a9fcd5fca5440 [^]

Fixes Issue 35068: Valued Stock Report is showing warehouses that do not
belong to the organization included in the filter

Selected warehouse or list of applicable warehouse for selected
organization sent as parameter to queries fetching valued stock
data.

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock_data.xsql
---
(0094288)
hgbot (developer)
2017-02-13 20:11

Repository: erp/devel/pi
Changeset: 548b15b9c37e7deb3e0cdba89a8191195fc66069
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Feb 13 14:06:44 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/548b15b9c37e7deb3e0cdba89a8191195fc66069 [^]

Related to issue 35068: Code review improvements

Used a HQL query instead of a direct SQL query.

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
---
(0094290)
markmm82 (developer)
2017-02-13 20:14

Code review + Testing OK
(0095179)
hudsonbot (developer)
2017-03-15 20:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095180)
hudsonbot (developer)
2017-03-15 20:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-01-27 10:14 ngarcia New Issue
2017-01-27 10:14 ngarcia Assigned To => Triage Finance
2017-01-27 10:14 ngarcia Modules => Core
2017-01-27 10:14 ngarcia Triggers an Emergency Pack => No
2017-01-27 10:14 ngarcia Issue Monitored: networkb
2017-01-27 18:20 markmm82 Assigned To Triage Finance => AtulOpenbravo
2017-02-02 08:07 AtulOpenbravo Status new => scheduled
2017-02-02 08:07 AtulOpenbravo Note Added: 0094003
2017-02-13 17:10 hgbot Checkin
2017-02-13 17:10 hgbot Note Added: 0094274
2017-02-13 17:10 hgbot Status scheduled => resolved
2017-02-13 17:10 hgbot Resolution open => fixed
2017-02-13 17:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/810c654d312e2e95a69eaa26a40a9fcd5fca5440 [^]
2017-02-13 17:45 markmm82 Review Assigned To => markmm82
2017-02-13 17:45 markmm82 Note Added: 0094279
2017-02-13 17:45 markmm82 Status resolved => closed
2017-02-13 17:45 markmm82 Fixed in Version => 3.0PR17Q2
2017-02-13 19:41 markmm82 Status closed => new
2017-02-13 19:41 markmm82 Resolution fixed => open
2017-02-13 19:41 markmm82 Fixed in Version 3.0PR17Q2 =>
2017-02-13 19:42 markmm82 Note Deleted: 0094279
2017-02-13 20:09 markmm82 Status new => scheduled
2017-02-13 20:11 hgbot Checkin
2017-02-13 20:11 hgbot Note Added: 0094288
2017-02-13 20:13 markmm82 Status scheduled => resolved
2017-02-13 20:13 markmm82 Fixed in Version => 3.0PR17Q2
2017-02-13 20:13 markmm82 Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/810c654d312e2e95a69eaa26a40a9fcd5fca5440 [^] => http://code.openbravo.com/erp/devel/pi/rev/548b15b9c37e7deb3e0cdba89a8191195fc66069 [^]
2017-02-13 20:13 markmm82 Resolution open => fixed
2017-02-13 20:14 markmm82 Note Added: 0094290
2017-02-13 20:14 markmm82 Status resolved => closed
2017-03-15 20:19 hudsonbot Checkin
2017-03-15 20:19 hudsonbot Note Added: 0095179
2017-03-15 20:19 hudsonbot Checkin
2017-03-15 20:19 hudsonbot Note Added: 0095180


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker